Skip to main content
GET
/
v2
/
account-connections
/
{id}
/
transactions
List transactions for an account on a connection
curl --request GET \
  --url https://api.range.org/v2/account-connections/{id}/transactions \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "0x9a3f...",
      "account_id": "acc_abc123",
      "provider": "hyperliquid",
      "kind": "TRADE",
      "status": "CONFIRMED",
      "raw": {},
      "timestamp": "2026-01-15T10:00:00.000Z",
      "hash": "0xabc...",
      "network": "networks/ethereum-mainnet",
      "block_number": "21000000",
      "transfers": [
        {
          "direction": "IN",
          "asset": "USDC",
          "amount": "100.50",
          "source_address": "0xabc...",
          "destination_address": "0xdef..."
        }
      ],
      "trade": {
        "side": "BUY",
        "base_asset": "BTC",
        "base_amount": "0.01",
        "quote_asset": "USDC",
        "quote_amount": "500.0",
        "price": "50000.0",
        "fee": "0.45",
        "fee_asset": "USDC",
        "realized_pnl": "25.11",
        "liquidation": false
      }
    }
  ],
  "meta": {
    "next_cursor": "eyJpZCI6IjkxeFFlV3Z...",
    "previous_cursor": "eyJpZCI6IjkxeFFlV3Z...",
    "first_page_cursor": "eyJpZCI6IjkxeFFlV3Z...",
    "last_page_cursor": "eyJpZCI6IjkxeFFlV3Z...",
    "total_count": 100,
    "page_number": 1
  }
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer

Path Parameters

id
string
required

Query Parameters

account_id
string
required

Account id (in this API) to scope transactions to. Must belong to the connection.

Example:

"acc_abc123"

wallet_address
string

Realms wallet address to fetch history for. Must be a NativeTreasury PDA or Governance PDA belonging to this connection. Required when the Realm has more than one treasury.

Example:

"B56RWQGf9RFw7t8gxPzrRvk5VRmB5DoF94aLoJ25YtvG"

cursor
string

Opaque cursor returned in meta.next_cursor of a previous response.

Example:

"eyJwYWdlVG9rZW4iOiJYWVoifQ=="

size
number
default:100
Required range: 1 <= x <= 1000
Example:

100

Response

200 - application/json
items
object[]
required
meta
object
required
Last modified on June 6, 2026